Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554430 - [poly-c overlay] =net-nds/ldapexplorertool-2.0.1: fix build failure and install desktop file
Summary: [poly-c overlay] =net-nds/ldapexplorertool-2.0.1: fix build failure and insta...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2015-07-10 10:42 UTC by Sergey S. Starikoff
Modified: 2015-07-21 14:37 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
ldapexplorertool-2.0.1.ebuild (ldapexplorertool-2.0.1.ebuild,1.09 KB, text/plain)
2015-07-10 10:42 UTC, Sergey S. Starikoff
Details
ldapexplorertool-2.0.1.ebuild (ldapexplorertool-2.0.1.ebuild,1.11 KB, text/plain)
2015-07-13 10:47 UTC, Sergey S. Starikoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey S. Starikoff 2015-07-10 10:42:17 UTC
Created attachment 406456 [details]
ldapexplorertool-2.0.1.ebuild

Known ebuild http://gpo.zugaina.org/app-misc/ldapexplorertool fails to install binary.
I've fixed upstream's build system miss on ebuild level and added generation of  desktop entry.
Package not in tree, so attaching complete ebuild.

Works with x11-libs/wxGTK:2.8
Generally should be tested on compatibility with 2.9 and 3.0.
But my ebuilding skills aren't enough to include a check on valid selection of wxwidgets.
Comment 1 Sergey S. Starikoff 2015-07-13 10:47:12 UTC
Created attachment 406638 [details]
ldapexplorertool-2.0.1.ebuild

Recent versions (2.0.1) builds only with wxGTK:2.8.
Updating ebuild.
Comment 2 Andrew Savchenko gentoo-dev 2015-07-16 11:26:51 UTC
Please provide a patch for the ebuild so that it will be easier for original ebuild developer to review your changes.

Also detailed description and build.log for the build failure of current ebuild from poly-c overlay will be appreciated.

If you're interested in maintaining this ebuild yourself in the main portage tree, contact proxy-maintainers and become a proxied maintainer of this package:
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2015-07-16 11:57:31 UTC
Hello Sergej,

thank you very much for the ebuild fixes/enhancements. I've fixed the ebuild in my overlay and removed the p.mask.

Like Andrew wrote, feel free to become proxy maintainer of this package.
Comment 4 Sergey S. Starikoff 2015-07-21 14:37:11 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #3)
> thank you very much for the ebuild fixes/enhancements. I've fixed the ebuild
> in my overlay and removed the p.mask.
> 
> Like Andrew wrote, feel free to become proxy maintainer of this package.

Hello, Lars.

This fix just made ebuild installable, but it is still incomplete. Even for overlay.

First of all dependency list should be reviewed: ldapexplorertool must be checked on operability with x11-libs/wxGTK[-X], if succeed — ebuild dependency should be dropped, inheritance from eclass is enough, if failed — dependency should be extended with USE requirement, i.e. x11-libs/wxGTK[X].
For recent version of ebuild in my local overlay dependency on x11-libs/wxGTK is temporarily removed (inherited from wxwidgets eclass) and everything works fine.

Initial (eclass default) categorisation in desktop file (Network) I also find incorrect (classifying net-nds/jxplorer in System is also far from being perfect).
Most correct category for net-nds/ldapexplorertool will be
Categories=Development;Database;
but I havn't guess how to skip argument of make_desktop_entry function.
Complete solution also requires some kind of icon, at least for desktop file.

Install failure _may_ be fixed on ebuild level (by creation of missed directory).
But it looks like build system issue.
So right solution will be to fix it.


I work with LDAP direcory and I find net-nds/ldapexplorertool almost as well as net-nds/jxplorer.
And I would like to become a proxy-maintainer.
But prior to do it I want to enshure the project is alive (and get a patch for build with newes stable version of x11-libs/wxGTK).
That probably should take some months.